#!/bin/sh
# ========================================================================
# 汾Ŷ
version="1.0"
dbus set catcome_version="$version"
# skipd
eval `dbus export catcome`

# û
source /koolshare/scripts/base.sh

set_catip(){

catip="$catcome_catip"
echo "$catip" > /tmp/catcome.txt
#catip="192.168.100.1"
wanip="${catip%.*}.200"
echo "$wanip"
net="${catip%.*}.0/24"
wan0="`nvram get wan0_ifname`"

#save setting
dbus set catcome_catip="$catip"

#enable now
ifconfig ${wan0}:0 $wanip netmask 255.255.255.0
iptables -t nat -I POSTROUTING -o $wan0 -d $net -j MASQUERADE

#add auto start
if [ -f /jffs/scripts/wan-start ]; then
	startcat=$(cat /jffs/scripts/wan-start | grep "catcome_load" |wc -l)
	if [ "$startcat" != "1" ];then
		echo " " >> /jffs/scripts/wan-start
		sed -i '$a\sh\ \/koolshare/scripts/catcome_load.sh' /jffs/scripts/wan-start
	else
		echo already set start up for catcome
	fi
else
	echo "#! /bin/sh" > /jffs/scripts/wan-start
	echo " " >> /jffs/scripts/wan-start
	sed -i '$a\sh\ \/koolshare/scripts/catcome_load.sh' /jffs/scripts/wan-start
fi
chmod +x /jffs/scripts/wan-start

if [ -f /koolshare/scripts/catcome_load.sh ]; then
	rm /koolshare/scripts/catcome_load.sh
fi

echo "#! /bin/sh" > /koolshare/scripts/catcome_load.sh
echo "ifconfig $wan0:0 $wanip netmask 255.255.255.0" >> /koolshare/scripts/catcome_load.sh
echo "iptables -t nat -I POSTROUTING -o $wan0 -d $net -j MASQUERADE" >> /koolshare/scripts/catcome_load.sh
chmod +x /koolshare/scripts/catcome_load.sh

}

case $ACTION in
start)
	set_catip
	;;
esac